<template>
  <div id="app">
    <CityForm @submit="(value) => result(value)"></CityForm>
    <Result :info="info"></Result>
  </div>
</template>

<script>
import axios from 'axios'
import CityForm from './components/Form'
import Result from './components/Result'

export default {
  name: 'App',
  components:{
    CityForm,
    Result
  },
  data() {
    return{
      a: '',
      info: ''
    }
  },
  methods: {
    result (a) {
      axios
        .get(`http://api.openweathermap.org/data/2.5/weather?q=${a}&lang=ru&appid=e2d76d5c659f765b968058b3b4594844`)
        .then(response => {this.info = response.data; console.log(this.info.main)})
        .catch(() => {alert('такого города нет, введите еще раз' )})
    }
  }
}
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
